<?php
namespace Claromentis\Core\DAL\MySQL\MySQLi;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\DAL;
class Result_Mysqli implements DAL\ResultInterface
{
    
    
    
    
    protected $res;
    public function __construct($_a606a2dcd236a549db0574a9c1675927 = null)
    {
        $this->res = $_a606a2dcd236a549db0574a9c1675927;
    }
    public function fetchRow()
    {
        if ($this->res) {
            return DAL\DbUtil::UTF8Fix($this->res->fetch_row());
        }
    }
    public function fetchArray()
    {
        if ($this->res) {
            return DAL\DbUtil::UTF8Fix($this->res->fetch_assoc());
        }
    }
    public function numRows()
    {
        if ($this->res) {
            return $this->res->num_rows;
        }
    }
    public function free()
    {
        if ($this->res && $this->res instanceof \mysqli_result) {
            $this->res->free();
        }
        return true;
    }
    
    
    
    
    
    
    public function hasData()
    {
        return $this->numRows() > 0;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
}